/**Begin D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTENDDATA') 
 CREATE TABLE T_BCM_EXTENDDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FMODELNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTENDSGROUP VARCHAR(50) DEFAULT ' ' NOT NULL,
FORG VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITTRAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERNALCOMPANY VARCHAR(50) DEFAULT ' ' NOT NULL,
FMYCOMPANY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASORT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMULTIGAAP VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM6 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM3 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM4 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM5 VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTEXT1 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT2 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT3 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT4 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT5 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT6 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT7 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT8 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT9 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT10 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT11 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT12 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT13 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT14 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT15 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT16 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT17 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT18 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT19 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT20 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT21 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT22 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT23 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT24 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT25 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT26 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT27 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT28 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT29 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT30 VARCHAR(200) DEFAULT ' ' NOT NULL,
FNUMEXT1 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT2 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT3 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT4 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT5 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT6 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT7 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT8 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT9 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT10 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT11 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT12 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT13 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT14 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT15 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT16 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT17 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT18 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT19 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT20 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FDATEEXT1 DATETIME,
FDATEEXT2 DATETIME,
FDATEEXT3 DATETIME,
FDATEEXT4 DATETIME,
FDATEEXT5 DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTENDDATA_BUS') 
 CREATE TABLE T_BCM_EXTENDDATA_BUS (
FID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FMODELNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTENDSGROUP VARCHAR(50) DEFAULT ' ' NOT NULL,
FORG VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITTRAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERNALCOMPANY VARCHAR(50) DEFAULT ' ' NOT NULL,
FMYCOMPANY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASORT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMULTIGAAP VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM6 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM3 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM4 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIM5 VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTEXT1 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT2 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT3 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT4 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT5 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT6 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT7 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT8 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT9 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT10 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT11 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT12 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT13 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT14 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT15 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT16 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT17 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT18 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT19 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT20 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT21 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT22 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT23 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT24 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT25 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT26 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT27 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT28 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT29 VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEXTEXT30 VARCHAR(200) DEFAULT ' ' NOT NULL,
FNUMEXT1 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT2 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT3 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT4 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT5 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT6 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT7 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT8 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT9 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT10 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT11 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT12 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT13 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT14 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT15 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT16 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT17 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT18 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT19 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FNUMEXT20 DECIMAL(19,15) DEFAULT 0 NOT NULL,
FDATEEXT1 DATETIME,
FDATEEXT2 DATETIME,
FDATEEXT3 DATETIME,
FDATEEXT4 DATETIME,
FDATEEXT5 DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DIMENSION_EXT') 
 CREATE TABLE T_BCM_DIMENSION_EXT (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHORTNUMBER VARCHAR(5) DEFAULT ' ' NOT NULL,
FSTORAGETYPE CHAR(1) DEFAULT '4' NOT NULL,
FISUSEDDATAPERM VARCHAR(20) DEFAULT ' ' NOT NULL,
FDSEQ INT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DIMENSION_EXT_L') 
 CREATE TABLE T_BCM_DIMENSION_EXT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_MEMBOFEXTEND') 
 CREATE TABLE T_BCM_MEMBOFEXTEND (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_MEMBOFEXTEND_L') 
 CREATE TABLE T_BCM_MEMBOFEXTEND_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_STRUCTOFEXTEND') 
 CREATE TABLE T_BCM_STRUCTOFEXTEND (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTORAGETYPE CHAR(1) DEFAULT '2' NOT NULL,
FDATATYPE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDMAPPED VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPTYPE CHAR(1) DEFAULT '1' NOT NULL,
FDPROPERTYID1 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID2 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID3 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID4 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID5 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID6 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID7 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID8 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID9 BIGINT DEFAULT 0 NOT NULL,
FDPROPERTYID10 BIGINT DEFAULT 0 NOT NULL,
FVALUE BIGINT DEFAULT 0 NOT NULL,
FISSYSMEMBER INT DEFAULT 0 NOT NULL,
FCOPYFROM BIGINT DEFAULT 0 NOT NULL,
FEXCHANGE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYRATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISPARTICIPMERGE CHAR(1) DEFAULT '0' NOT NULL,
FISACCOUNTOFFSET CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_STRUCTOFEXTEND_L') 
 CREATE TABLE T_BCM_STRUCTOFEXTEND_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTENDSMODEL') 
 CREATE TABLE T_BCM_EXTENDSMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTENDSGROUP BIGINT DEFAULT 0 NOT NULL,
FSYNCTYPE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTENDSMODEL_L') 
 CREATE TABLE T_BCM_EXTENDSMODEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTMODELFIELD') 
 CREATE TABLE T_BCM_EXTMODELFIELD (
FID BIGINT DEFAULT 0 NOT NULL,
FEXTMODELID BIGINT DEFAULT 0 NOT NULL,
FEXTFIELD BIGINT DEFAULT 0 NOT NULL,
FSYNSETTING VARCHAR(10) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTMODELDIM') 
 CREATE TABLE T_BCM_EXTMODELDIM (
FID BIGINT DEFAULT 0 NOT NULL,
FEXTMODELID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FRANGE NCLOB,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_EXTMODELREF') 
 CREATE TABLE T_BCM_EXTMODELREF (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FEXTMODELID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
